Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.binding
Class BindingFactoryImpl

    java.lang.Object
      com.google.gwt.inject.rebind.binding.BindingFactoryImpl

All Implemented Interfaces:
  BindingFactory

    public class BindingFactoryImpl

extends java.lang.Object
implements BindingFactory

Guice-based implementation of the binding factory.

Constructor Summary
`BindingFactoryImpl(ErrorManager errorManager, GuiceUtil guiceUtil, java.lang.Class<? extends Ginjector> ginjectorInterface, MethodCallUtil methodCallUtil)`

Method Summary
`AsyncProviderBinding` | `getAsyncProviderBinding(Key<?> providerKey)`
`BindClassBinding` | `getBindClassBinding(Key<?> boundClassKey, Key<?> sourceClassKey, Context context)`
`
`<T> BindConstantBinding`
` | `getBindConstantBinding(Key<T> key, T instance, Context context)`
`BindProviderBinding` | `getBindProviderBinding(Key<? extends javax.inject.Provider<?>> providerKey, Key<?> sourceKey, Context context)`
`CallConstructorBinding` | `getCallConstructorBinding(MethodLiteral<?,java.lang.reflect.Constructor<?>> constructor)`
`CallGwtDotCreateBinding` | `getCallGwtDotCreateBinding(TypeLiteral<?> type)`
`ExposedChildBinding` | `getExposedChildBinding(Key<?> key, GinjectorBindings childBindings, Context context)`
`FactoryBinding` | `getFactoryBinding(java.util.Map<Key<?>,TypeLiteral<?>> collector, Key<?> factoryKey, Context context)`
`GinjectorBinding` | `getGinjectorBinding()`
`ImplicitProviderBinding` | `getImplicitProviderBinding(Key<?> providerKey)`
`ParentBinding` | `getParentBinding(Key<?> key, GinjectorBindings parentBindings, Context context)`
`ProviderMethodBinding` | `getProviderMethodBinding(com.google.inject.internal.ProviderMethod<?> providerMethod, Context context)`
`RemoteServiceProxyBinding` | `getRemoteServiceProxyBinding(TypeLiteral<?> type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingFactoryImpl

    @Inject
    public BindingFactoryImpl(ErrorManager errorManager,
                                     GuiceUtil guiceUtil,
                                     java.lang.Class<? extends Ginjector> ginjectorInterface,
                                     MethodCallUtil methodCallUtil)

Method Detail

### getAsyncProviderBinding

    public AsyncProviderBinding getAsyncProviderBinding(Key<?> providerKey)

  Specified by:
    `getAsyncProviderBinding` in interface `BindingFactory`

### getBindClassBinding

    public BindClassBinding getBindClassBinding(Key<?> boundClassKey,
                                                Key<?> sourceClassKey,
                                                Context context)

  Specified by:
    `getBindClassBinding` in interface `BindingFactory`

### getBindConstantBinding

    public <T> BindConstantBinding getBindConstantBinding(Key<T> key,
                                                          T instance,
                                                          Context context)

  Specified by:
    `getBindConstantBinding` in interface `BindingFactory`

### getBindProviderBinding

    public BindProviderBinding getBindProviderBinding(Key<? extends javax.inject.Provider<?>> providerKey,
                                                      Key<?> sourceKey,
                                                      Context context)

  Specified by:
    `getBindProviderBinding` in interface `BindingFactory`

### getCallConstructorBinding

    public CallConstructorBinding getCallConstructorBinding(MethodLiteral<?,java.lang.reflect.Constructor<?>> constructor)

  Specified by:
    `getCallConstructorBinding` in interface `BindingFactory`

### getCallGwtDotCreateBinding

    public CallGwtDotCreateBinding getCallGwtDotCreateBinding(TypeLiteral<?> type)

  Specified by:
    `getCallGwtDotCreateBinding` in interface `BindingFactory`

### getExposedChildBinding

    public ExposedChildBinding getExposedChildBinding(Key<?> key,
                                                      GinjectorBindings childBindings,
                                                      Context context)

  Specified by:
    `getExposedChildBinding` in interface `BindingFactory`

### getFactoryBinding

    public FactoryBinding getFactoryBinding(java.util.Map<Key<?>,TypeLiteral<?>> collector,
                                            Key<?> factoryKey,
                                            Context context)

  Specified by:
    `getFactoryBinding` in interface `BindingFactory`

### getGinjectorBinding

    public GinjectorBinding getGinjectorBinding()

  Specified by:
    `getGinjectorBinding` in interface `BindingFactory`

### getImplicitProviderBinding

    public ImplicitProviderBinding getImplicitProviderBinding(Key<?> providerKey)

  Specified by:
    `getImplicitProviderBinding` in interface `BindingFactory`

### getParentBinding

    public ParentBinding getParentBinding(Key<?> key,
                                          GinjectorBindings parentBindings,
                                          Context context)

  Specified by:
    `getParentBinding` in interface `BindingFactory`

### getProviderMethodBinding

    public ProviderMethodBinding getProviderMethodBinding(com.google.inject.internal.ProviderMethod<?> providerMethod,
                                                          Context context)

  Specified by:
    `getProviderMethodBinding` in interface `BindingFactory`

### getRemoteServiceProxyBinding

    public RemoteServiceProxyBinding getRemoteServiceProxyBinding(TypeLiteral<?> type)

  Specified by:
    `getRemoteServiceProxyBinding` in interface `BindingFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD